Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTimeType Class Reference

Stores a time value. More...

Inheritance diagram for eZTimeType:

## Public Member Functions
| __construct ()
| validateTimeHTTPInput ( $hours, $minute, $second, $contentObjectAttribute)
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $contentObjectAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| sortKey ( $contentObjectAttribute)
| sortKeyType ()
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| isInformationCollector ()
| initializeClassAttribute ( $classAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| metaData ( $contentObjectAttribute)
| title ( $contentObjectAttribute, $name=null)
| hasObjectAttributeContent ( $contentObjectAttribute)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| supportsBatchInitializeObjectAttribute ()
| batchInitializeObjectAttributeData ( $classAttribute)
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| storeObjectAttribute ( $objectAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isIndexable ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)

## Public Attributes
const | DATA_TYPE_STRING = "eztime"
const | DEFAULT_FIELD = 'data_int1'
const | USE_SECONDS_FIELD = 'data_int2'
const | DEFAULT_EMTPY = 0
const | DEFAULT_CURRENT_DATE = 1
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

Stores a time value.

Definition at line 18 of file eztimetype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTimeType::__construct | ( |  | ) |

Definition at line 26 of file eztimetype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ batchInitializeObjectAttributeData()

eZTimeType::batchInitializeObjectAttributeData | ( |  | $classAttribute | ) |

Reimplemented from eZDataType.

Definition at line 431 of file eztimetype.php.

## ◆ fetchClassAttributeHTTPInput()

eZTimeType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 291 of file eztimetype.php.

## ◆ fetchCollectionAttributeHTTPInput()

eZTimeType::fetchCollectionAttributeHTTPInput | ( |  | $collection,
|  |  | $collectionAttribute,
|  |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post variables for collected information

Reimplemented from eZDataType.

Definition at line 154 of file eztimetype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZTimeType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Fetches the HTTP input for the content object attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 89 of file eztimetype.php.

## ◆ fromString()

eZTimeType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 234 of file eztimetype.php.

## ◆ hasObjectAttributeContent()

eZTimeType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 331 of file eztimetype.php.

## ◆ initializeClassAttribute()

eZTimeType::initializeClassAttribute | ( |  | $classAttribute | ) |

Set class attribute value for template version

Reimplemented from eZDataType.

Definition at line 261 of file eztimetype.php.

## ◆ initializeObjectAttribute()

eZTimeType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 271 of file eztimetype.php.

## ◆ isInformationCollector()

eZTimeType::isInformationCollector | ( |  | ) |

Returns
  true if the datatype can be used as an information collector

Reimplemented from eZDataType.

Definition at line 253 of file eztimetype.php.

## ◆ metaData()

eZTimeType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 310 of file eztimetype.php.

## ◆ objectAttributeContent()

eZTimeType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 183 of file eztimetype.php.

## ◆ serializeContentClassAttribute()

eZTimeType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 336 of file eztimetype.php.

References DEFAULT_CURRENT_DATE, and DEFAULT_EMTPY.

## ◆ serializeContentObjectAttribute()

eZTimeType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Parameters

  package |
  content | attribute

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 389 of file eztimetype.php.

References eZDataType\createContentObjectAttributeDOMNode(), and eZDateUtils\rfc1123Date().

## ◆ sortKey()

eZTimeType::sortKey | ( |  | $objectAttribute | ) |

Returns
  the sort key for the datatype. This is used for sorting on attribute level.

Reimplemented from eZDataType.

Definition at line 202 of file eztimetype.php.

## ◆ sortKeyType()

eZTimeType::sortKeyType | ( |  | ) |

Returns
  the type of the sort key int|string False is returned if sorting is not supported

Reimplemented from eZDataType.

Definition at line 214 of file eztimetype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZTimeType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 426 of file eztimetype.php.

## ◆ title()

eZTimeType::title | ( |  | $contentObjectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the date.

Reimplemented from eZDataType.

Definition at line 318 of file eztimetype.php.

References eZLocale\instance().

## ◆ toString()

eZTimeType::toString | ( |  | $contentObjectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 223 of file eztimetype.php.

## ◆ unserializeContentClassAttribute()

eZTimeType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 360 of file eztimetype.php.

## ◆ unserializeContentObjectAttribute()

eZTimeType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Parameters

  package |
  contentobject | attribute object
  ezdomnode | object

Reimplemented from eZDataType.

Definition at line 410 of file eztimetype.php.

References eZDateUtils\textToDate().

## ◆ validateCollectionAttributeHTTPInput()

eZTimeType::validateCollectionAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Validates the input for an object attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 117 of file eztimetype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, ezpI18n\tr(), and validateTimeHTTPInput().

## ◆ validateObjectAttributeHTTPInput()

eZTimeType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Validates the input for an object attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 47 of file eztimetype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, ezpI18n\tr(), and validateTimeHTTPInput().

## ◆ validateTimeHTTPInput()

eZTimeType::validateTimeHTTPInput | ( |  | $hours,
|  |  | $minute,
|  |  | $second,
|  |  | $contentObjectAttribute
| ) |  |

Private method only for use inside this class

Definition at line 35 of file eztimetype.php.

References eZInputValidator\STATE_INVALID, ezpI18n\tr(), and eZDateTimeValidator\validateTime().

Referenced by validateCollectionAttributeHTTPInput(), and validateObjectAttributeHTTPInput().

## Member Data Documentation

## ◆ DATA_TYPE_STRING

const eZTimeType::DATA_TYPE_STRING = "eztime"

Definition at line 20 of file eztimetype.php.

## ◆ DEFAULT_CURRENT_DATE

const eZTimeType::DEFAULT_CURRENT_DATE = 1

Definition at line 24 of file eztimetype.php.

Referenced by serializeContentClassAttribute().

## ◆ DEFAULT_EMTPY

const eZTimeType::DEFAULT_EMTPY = 0

Definition at line 23 of file eztimetype.php.

Referenced by serializeContentClassAttribute().

## ◆ DEFAULT_FIELD

const eZTimeType::DEFAULT_FIELD = 'data_int1'

Definition at line 21 of file eztimetype.php.

## ◆ USE_SECONDS_FIELD

const eZTimeType::USE_SECONDS_FIELD = 'data_int2'

Definition at line 22 of file eztimetype.php.

The documentation for this class was generated from the following file:

- eztimetype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.